function approx_fpsi = low_frequencies(fphi,phi,fs,p,ind)

% evaluates a component of the wavelet transform from the (noisy)
% low-frequency component
% Inputs :
% - fphi : noisy low-frequency component
% - phi : low-frequency filter
% - fs : frequency of the component to estimate
% - p : order of the wavelets
% - ind : cut-off index (determined by the function
%                        low_frequencies_ref)

phi = phi(:).' ; fphi = fphi(:).' ;
N = size(phi,2) ;
phi = [phi,zeros(1,N)] ;
N = 2*N ;
ns = [0:N-1] ;

psi = (ns/fs).^p .* exp(p*(1-ns/fs)) ;
approx_fpsi = ifft(fft(fphi).*psi./max(phi,phi(ind))) ;