function [fpsi,fphi] = wavelet_transform(f,psi,phi)

% Wavelet transform of f
% psi contains the Fourier transforms of the wavelets
% phi is the Fourier transform of the low frequency filter

    
f = f(:).' ;

N = size(f,2) ;

ff = fft(f) ;

fpsi = ifft(bsxfun(@times,psi,ff),2*N,2) ;
if (nargout>1)
    fphi = ifft(ff.*phi,2*N) ;
end